<!DOCTYPE html>
<html lang="en">

<head>
    <title>Pseudoclases</title>
    <link rel="stylesheet" href="../Css/pseudo.css">
</head>

<body>
    <h1>Pseudoclases</h1>
    <section>
        <p>Links</p>
        <a href="#">Primer URL</a>
        <a href="#">Segunda URL</a>
        <a href="#">Tercer URL</a>
    </section>
    <section>
        <p>Interacion usuario</p>
        <input type="text" name="miText">
        <input type="checkbox" name="option1">
        <span>opcion 1</span>
        <input type="checkbox" name="option2">
        <span>opcion 2</span>
        <input type="checkbox" name="option3">
        <span>opcion 3</span>
    </section>
    <section>
        <p>input readonly</p>
        <input type="text" name="myText2" readonly>
    </section>
    <section>
        <p>input requier/optional</p>
        <input type="text" name="myText3" required>
        <input type="text" name="myText4" class="myText4">
    </section>
    <section>
        <p>Validaciones</p>
        <input type="text" name="age" pattern="[0-9]+" class="valid">
    </section>
    <section>
        <p>Rangos</p>
        <input type="number" name="age" min="18" max="100" class="rang">
    </section>
    <section>
        <article>
            <strong>strong 1</strong>
            <span>span 1</span>
            <strong>strong 2</strong>
            <span>span 2</span>
            <strong>strong 3</strong>
        </article>
    </section>
    <section>
        <p>before/After</p>
        <div class="abuelo">
            <p>Parrafo 1</p>
            <p>Parrafo 2</p>
            <div class="padre">
                <div class="hijo">
                    <a title="titulo hijo">Hijo 1</a>
                </div>
                <div class="hijo">
                    <a>Hijo 2</a>
                </div>
                <div class="hijo">
                    <a>Hijo 3</a>
                </div>
            </div>
            <p>Parrafo 3</p>
            <p>Parrafo 4</p>
        </div>
    </section>
    <section class="pseudoelementos2">
        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Dolorem omnis maxime quo rerum. Ad, vitae fugit! Eos beatae facilis quas, impedit repellendus voluptates fuga tempora, molestias cum, blanditiis ea! Consequatur.</p>
    </section>
    <section class="pseudoelementos3">
        <p>Sunt repellat nobis quo quasi, excepturi, officiis voluptatem quos, mollitia animi aperiam fugit facere autem. Minus, aut reiciendis est totam doloribus cupiditate autem? Eaque, sequi? Sed possimus deleniti molestiae beatae?</p>
    </section>
</body>
</html>